﻿<script type="text/javascript">
    $(function () {
        @*
            ALERTA PADRÃO
            Desenvolvido por:
            [Leon Denis Paiva e Silva] PrimeTeam
        *@
        window.onerror = function (xhr) {


            var messagem = xhr.responseText.toString().substring(1, 200);
            var shortmessage = messagem;
            if (messagem.indexOf(".") != -1) {
                shortmessage = messagem.split(".")[0];
            }


            console.log(xhr);
            swal({
                title: 'Erro Interno!',
                html: '<div class="swal-error-content">' +
                    '<br><b><h4>Entrar em contato o administrador!&nbsp;</h4></b>' +
                    '<br><p>Descrição erro: &nbsp; <br>' + '<i>' +
                    String(shortmessage) + '</i></p>' + '</div>',
                cancelButtonColor: '#3085d6',
                cancelButtonText: 'Ok'
            })
            setCustomIcon('fa fa-window-close');
        };
    });

    function isNullOrEmpty(s) {
        return (s == null || s === "");
    };

    //setTimeout(function () { $('script').remove(); }, 200);

    //Mensagem do campo quando ele não está preenchido.
    var tooltipCampoObrigatorio = function (campo, mensagem) {
        try {

            $(campo).notify(
                mensagem,
                {
                    position: "down",
                    autoHide: false,
                    clickToHide: true
                }
            );
        } catch (e) {

        };
    };

    var tooltipApagarValidation = function (campo) {
        $(campo).parent().find('.notifyjs-wrapper').trigger('notify-hide');
    }

    var apagaTooltipCampos = function () {
        $('.notifyjs-wrapper').trigger('notify-hide');
    }

</script>